Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::make_move_sentinel_fn Struct Reference
Iterator

## Public Member Functions
template<typename I >
constexpr move_iterator< I > | operator() (I i) const
template<typename S >
constexpr move_sentinel< S > | operator() (S s) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename I >

constexpr move_iterator<I> ranges::make_move_sentinel_fn::operator() | ( | I | i | ) | const
| constexpr

Precondition
  requires `input_iterator<I>`

## ◆ operator()() [2/2]

template<typename S >

constexpr move_sentinel<S> ranges::make_move_sentinel_fn::operator() | ( | S | s | ) | const
| constexpr

Precondition
  requires `semiregular<S> && (!input_iterator<S>)` //